Package fr.gouv.vitam.common.storage.tapelibrary

# Class TapeLibraryConfiguration

java.lang.Object
fr.gouv.vitam.common.storage.tapelibrary.TapeLibraryConfiguration

public class TapeLibraryConfiguration extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeLibraryConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccessRequestCleanupTaskIntervalDelay()`
  `TimeUnit`
  `getAccessRequestCleanupTaskIntervalUnit()`
  `Long`
  `getCachedTarEvictionStorageSpaceThresholdInMB()`
  `Long`
  `getCachedTarMaxStorageSpaceInMB()`
  `Long`
  `getCachedTarSafeStorageSpaceThresholdInMB()`
  `String`
  `getCachedTarStorageFolder()`
  `String`
  `getInputFileStorageFolder()`
  `String`
  `getInputTarStorageFolder()`
  `int`
  `getMaxAccessRequestSize()`
  `long`
  `getMaxTarEntrySize()`
  `long`
  `getMaxTarFileSize()`
  `int`
  `getReadyAccessRequestExpirationDelay()`
  `TimeUnit`
  `getReadyAccessRequestExpirationUnit()`
  `int`
  `getReadyAccessRequestPurgeDelay()`
  `TimeUnit`
  `getReadyAccessRequestPurgeUnit()`
  `Map<String,TapeLibraryConf>`
  `getTapeLibraries()`
  `String`
  `getTmpTarOutputStorageFolder()`
  `TapeLibraryTopologyConfiguration`
  `getTopology()`
  `boolean`
  `isForceOverrideNonEmptyCartridges()`
  `TapeLibraryConfiguration`
  `setAccessRequestCleanupTaskIntervalDelay(int accessRequestCleanupTaskIntervalDelay)`
  `TapeLibraryConfiguration`
  `setAccessRequestCleanupTaskIntervalUnit(TimeUnit accessRequestCleanupTaskIntervalUnit)`
  `TapeLibraryConfiguration`
  `setCachedTarEvictionStorageSpaceThresholdInMB(Long cachedTarEvictionStorageSpaceThresholdInMB)`
  `TapeLibraryConfiguration`
  `setCachedTarMaxStorageSpaceInMB(Long cachedTarMaxStorageSpaceInMB)`
  `TapeLibraryConfiguration`
  `setCachedTarSafeStorageSpaceThresholdInMB(Long cachedTarSafeStorageSpaceThresholdInMB)`
  `TapeLibraryConfiguration`
  `setCachedTarStorageFolder(String cachedTarStorageFolder)`
  `TapeLibraryConfiguration`
  `setForceOverrideNonEmptyCartridges(boolean forceOverrideNonEmptyCartridges)`
  `TapeLibraryConfiguration`
  `setInputFileStorageFolder(String inputFileStorageFolder)`
  `TapeLibraryConfiguration`
  `setInputTarStorageFolder(String inputTarStorageFolder)`
  `TapeLibraryConfiguration`
  `setMaxAccessRequestSize(int maxAccessRequestSize)`
  `TapeLibraryConfiguration`
  `setMaxTarEntrySize(long maxTarEntrySize)`
  `TapeLibraryConfiguration`
  `setMaxTarFileSize(long maxTarFileSize)`
  `TapeLibraryConfiguration`
  `setReadyAccessRequestExpirationDelay(int readyAccessRequestExpirationDelay)`
  `TapeLibraryConfiguration`
  `setReadyAccessRequestExpirationUnit(TimeUnit readyAccessRequestExpirationUnit)`
  `TapeLibraryConfiguration`
  `setReadyAccessRequestPurgeDelay(int readyAccessRequestPurgeDelay)`
  `TapeLibraryConfiguration`
  `setReadyAccessRequestPurgeUnit(TimeUnit readyAccessRequestPurgeUnit)`
  `TapeLibraryConfiguration`
  `setTapeLibraries(Map<String,TapeLibraryConf> tapeLibraries)`
  `TapeLibraryConfiguration`
  `setTmpTarOutputStorageFolder(String tmpTarOutputStorageFolder)`
  `TapeLibraryConfiguration`
  `setTopology(TapeLibraryTopologyConfiguration topology)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TapeLibraryConfiguration

    public TapeLibraryConfiguration()

- ## Method Details

  - ### getTopology

    public TapeLibraryTopologyConfiguration getTopology()

  - ### setTopology

    public TapeLibraryConfiguration setTopology(TapeLibraryTopologyConfiguration topology)

  - ### getTapeLibraries

    public Map<String,TapeLibraryConf> getTapeLibraries()

  - ### setTapeLibraries

    public TapeLibraryConfiguration setTapeLibraries(Map<String,TapeLibraryConf> tapeLibraries)

  - ### getInputFileStorageFolder

    public String getInputFileStorageFolder()

  - ### setInputFileStorageFolder

    public TapeLibraryConfiguration setInputFileStorageFolder(String inputFileStorageFolder)

  - ### getInputTarStorageFolder

    public String getInputTarStorageFolder()

  - ### setInputTarStorageFolder

    public TapeLibraryConfiguration setInputTarStorageFolder(String inputTarStorageFolder)

  - ### getTmpTarOutputStorageFolder

    public String getTmpTarOutputStorageFolder()

  - ### setTmpTarOutputStorageFolder

    public TapeLibraryConfiguration setTmpTarOutputStorageFolder(String tmpTarOutputStorageFolder)

  - ### getCachedTarStorageFolder

    public String getCachedTarStorageFolder()

  - ### setCachedTarStorageFolder

    public TapeLibraryConfiguration setCachedTarStorageFolder(String cachedTarStorageFolder)

  - ### getMaxTarEntrySize

    public long getMaxTarEntrySize()

  - ### setMaxTarEntrySize

    public TapeLibraryConfiguration setMaxTarEntrySize(long maxTarEntrySize)

  - ### getMaxTarFileSize

    public long getMaxTarFileSize()

  - ### setMaxTarFileSize

    public TapeLibraryConfiguration setMaxTarFileSize(long maxTarFileSize)

  - ### isForceOverrideNonEmptyCartridges

    public boolean isForceOverrideNonEmptyCartridges()

  - ### setForceOverrideNonEmptyCartridges

    public TapeLibraryConfiguration setForceOverrideNonEmptyCartridges(boolean forceOverrideNonEmptyCartridges)

  - ### getCachedTarMaxStorageSpaceInMB

    public Long getCachedTarMaxStorageSpaceInMB()

  - ### setCachedTarMaxStorageSpaceInMB

    public TapeLibraryConfiguration setCachedTarMaxStorageSpaceInMB(Long cachedTarMaxStorageSpaceInMB)

  - ### getCachedTarEvictionStorageSpaceThresholdInMB

    public Long getCachedTarEvictionStorageSpaceThresholdInMB()

  - ### setCachedTarEvictionStorageSpaceThresholdInMB

    public TapeLibraryConfiguration setCachedTarEvictionStorageSpaceThresholdInMB(Long cachedTarEvictionStorageSpaceThresholdInMB)

  - ### getCachedTarSafeStorageSpaceThresholdInMB

    public Long getCachedTarSafeStorageSpaceThresholdInMB()

  - ### setCachedTarSafeStorageSpaceThresholdInMB

    public TapeLibraryConfiguration setCachedTarSafeStorageSpaceThresholdInMB(Long cachedTarSafeStorageSpaceThresholdInMB)

  - ### getMaxAccessRequestSize

    public int getMaxAccessRequestSize()

  - ### setMaxAccessRequestSize

    public TapeLibraryConfiguration setMaxAccessRequestSize(int maxAccessRequestSize)

  - ### getReadyAccessRequestExpirationDelay

    public int getReadyAccessRequestExpirationDelay()

  - ### setReadyAccessRequestExpirationDelay

    public TapeLibraryConfiguration setReadyAccessRequestExpirationDelay(int readyAccessRequestExpirationDelay)

  - ### getReadyAccessRequestExpirationUnit

    public TimeUnit getReadyAccessRequestExpirationUnit()

  - ### setReadyAccessRequestExpirationUnit

    public TapeLibraryConfiguration setReadyAccessRequestExpirationUnit(TimeUnit readyAccessRequestExpirationUnit)

  - ### getReadyAccessRequestPurgeDelay

    public int getReadyAccessRequestPurgeDelay()

  - ### setReadyAccessRequestPurgeDelay

    public TapeLibraryConfiguration setReadyAccessRequestPurgeDelay(int readyAccessRequestPurgeDelay)

  - ### getReadyAccessRequestPurgeUnit

    public TimeUnit getReadyAccessRequestPurgeUnit()

  - ### setReadyAccessRequestPurgeUnit

    public TapeLibraryConfiguration setReadyAccessRequestPurgeUnit(TimeUnit readyAccessRequestPurgeUnit)

  - ### getAccessRequestCleanupTaskIntervalDelay

    public int getAccessRequestCleanupTaskIntervalDelay()

  - ### setAccessRequestCleanupTaskIntervalDelay

    public TapeLibraryConfiguration setAccessRequestCleanupTaskIntervalDelay(int accessRequestCleanupTaskIntervalDelay)

  - ### getAccessRequestCleanupTaskIntervalUnit

    public TimeUnit getAccessRequestCleanupTaskIntervalUnit()

  - ### setAccessRequestCleanupTaskIntervalUnit

    public TapeLibraryConfiguration setAccessRequestCleanupTaskIntervalUnit(TimeUnit accessRequestCleanupTaskIntervalUnit)